Delete a version of a configuration by hash or by tag.

delhttps://app.mk.io/api/v1/projects/:project_name/templating/configs/:config_type/:name/versions/:version

Delete one version of the configuration. You cannot delete the version tagged as latest.

RBAC Capability Required: templating.configs.delete

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_namestringRequired
config_typestringRequired
namestringRequired
versionstringRequired

Response

200Configuration version deleted.

No response body.

204Nothing to delete.

No response body.

Errors

400Bad Request

Loading schema details…

401Unauthorized

Loading schema details…

403Forbidden

Loading schema details…

404Not Found

Loading schema details…

429Too Many Requests

Loading schema details…

500Internal Server Error

Loading schema details…